## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           dtkcore
Version:        5.6.13
Release:        %autorelease
Summary:        Deepin tool kit core modules
# migrated to SPDX
License:        LGPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dtkcore
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  dtkcommon-devel
BuildRequires:  libicu-devel
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  pkgconfig(uchardet)
BuildRequires:  gtest-devel
BuildRequires:  cmake
BuildRequires:  qt5-doctools
BuildRequires:  %{_bindir}/doxygen

# Qt5 private headers needed
BuildRequires:  qt5-qtbase-private-devel

Requires:       dtkcommon%{_isa}
Requires:       deepin-desktop-base
Requires:       lshw


# since f30
Obsoletes:      deepin-tool-kit <= 0.3.3
Obsoletes:      deepin-tool-kit-devel <= 0.3.3
Obsoletes:      dtksettings <= 0.1.7
Obsoletes:      dtksettings-devel <= 0.1.7

%description
Deepin tool kit core modules.

%package devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       dtkcommon-devel%{_isa}

%description devel
Header files and libraries for %{name}.

%prep
%autosetup -p1
sed -i 's|/etc/os-version|/etc/uos-version|' src/dsysinfo.cpp

%build
export PATH=%{_qt5_bindir}:$PATH
%cmake -DBUILD_DOCS=ON \
       -DBUILD_EXAMPLES=OFF \
       -DQCH_INSTALL_DESTINATION=%{_qt5_docdir}
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_libdir}/lib%{name}.so.5*
%{_libexecdir}/dtk5/

%files devel
%doc docs/Specification.md
%{_includedir}/dtk5/
%{_qt5_archdatadir}/mkspecs/modules/*.pri
%{_qt5_archdatadir}/mkspecs/features/*.prf
%{_libdir}/cmake/DtkCore/
%{_libdir}/cmake/DtkCMake/
%{_libdir}/cmake/DtkDConfig/
%{_libdir}/cmake/DtkTools/
%{_libdir}/pkgconfig/dtkcore.pc
%{_libdir}/lib%{name}.so
%{_qt5_docdir}/%{name}.qch

%changelog
## START: Generated by rpmautospec
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Aug 19 2023 Robin Lee <cheeselee@fedoraproject.org> - 5.6.13-1
- New release 5.6.13

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.30-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.30-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.30-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Jan Grulich <jgrulich@redhat.com> - 5.5.30-3
- BR: annobin

* Thu Jul 14 2022 Jan Grulich <jgrulich@redhat.com> - 5.5.30-2
- Rebuild (qt5)

* Sat Jun 18 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.5.30-1
- New release 5.5.30

* Tue May 17 2022 Jan Grulich <jgrulich@redhat.com> - 5.5.27-2
- Rebuild (qt5)

* Tue Apr 19 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.5.27-1
- New release 5.5.27

* Tue Mar 08 2022 Jan Grulich <jgrulich@redhat.com> - 5.5.23-2
- Rebuild (qt5)

* Fri Feb 18 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.5.23-1
- New release 5.5.23

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.17.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 06 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.5.17.1-1
- New release 5.5.17.1

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Mar 11 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.4.0-1
- fix: 解析desktop文件中多国语言不支持短名 (liuyang)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.2.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Nov 27 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.2.2.16-1
- new upstream release: 5.2.2.16

* Tue Sep 22 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.2.2.15-1
- new upstream release: 5.2.2.15

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Aug 05 2019 Robin Lee <cheeselee@fedoraproject.org> - 2.1.1-1
- Release 2.1.1

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.16.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jul 17 2019 Robin Lee <cheeselee@fedoraproject.org> - 2.0.16.1-1
- Update to 2.0.16.1

* Fri Mar 15 2019 Robin Lee <cheeselee@fedoraproject.org> - 2.0.9.17-2
- Obsoletes deepin-tool-kit and dtksettings

* Tue Feb 26 2019 Robin Lee <cheeselee@fedoraproject.org> - 2.0.9.17-1
- Update to 2.0.9.17

* Thu Jan 31 2019 mosquito <sensor.wen@gmail.com> - 2.0.9.15-1
- Update to 2.0.9.15

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.9.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 01 2019 Rex Dieter <rdieter@fedoraproject.org> - 2.0.9.11-2
- use %%_qt5_bindir, %%ldconfig-scriptlets
- -devel: own %%{_libdir}/cmake/Dtk* dirs
- %%files: less globs, explicitly list items related to ABI/API

* Wed Dec 12 2018 mosquito <sensor.wen@gmail.com> - 2.0.9.11-1
- Update to 2.0.9.11

* Thu Nov 29 2018 mosquito <sensor.wen@gmail.com> - 2.0.9.9-1
- Update to 2.0.9.9

* Fri Nov  9 2018 mosquito <sensor.wen@gmail.com> - 2.0.9.8-1
- Update to 2.0.9.8

* Sat Aug 25 2018 mosquito <sensor.wen@gmail.com> - 2.0.9-4
- Fix symbol

* Tue Jul 31 2018 Florian Weimer <fweimer@redhat.com> - 2.0.9-3
- Rebuild with fixed binutils

* Mon Jul 30 2018 Zamir SUN <zsun@fedoraproject.org> - 2.0.9-2
- Fix lrelease version
- Merge fix from mosquito https://github.com/FZUG/repo/commit/23905bd6e097f89f61ac93819f65365024096c24

* Wed Jul 25 2018 Zamir SUN <zsun@fedoraproject.org> - 2.0.9-1
- Update to 2.0.9

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 16 2018 mosquito <sensor.wen@gmail.com> - 2.0.6-1
- Update to 2.0.6

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Dec 28 2017 mosquito <sensor.wen@gmail.com> - 2.0.5.3-1
- Update to 2.0.5.3

* Mon Nov 27 2017 mosquito <sensor.wen@gmail.com> - 2.0.5.2-1
- Update to 2.0.5.2

* Tue Oct 17 2017 mosquito <sensor.wen@gmail.com> - 2.0.1-1
- Update to 2.0.1

* Sun Aug 20 2017 mosquito <sensor.wen@gmail.com> - 2.0.0-1
- Update to 2.0.0

* Sat Jul 29 2017 mosquito <sensor.wen@gmail.com> - 0.3.3-1
- Initial build

## END: Generated by rpmautospec
